FROM httpd:2.4

# Install dependencies and mod_auth_openidc
RUN apt-get update && \
    apt-get install -y libapache2-mod-auth-openidc && \
    apt-get clean && \
    rm -rf /var/lib/apt/lists/*

# Copy your vhost config and certs
COPY conf/extra/httpd-vhosts.conf /usr/local/apache2/conf/extra/httpd-vhosts.conf
COPY conf/httpd.conf /usr/local/apache2/conf/httpd.conf
COPY conf/server.crt /usr/local/apache2/conf/server.crt
COPY conf/server.key /usr/local/apache2/conf/server.key